# Capella2AADL

Capella2AADL is a model transformation from Capella physical architecture to an abstract AADL architecture.
Its goal is to make the transition between system engineering and hardware and software engineering easier.
Capella2AADL has been developed by the project INGEQUIP between 2015 and 2017 at [IRT Saint Exupéry](http://www.irt-saintexupery.com/).

It is hosted at <https://sahara.pf.irt-saintexupery.com/INGEQUIP/Capella2AADL>.

## Build Capella2AADL
Maven 3.x and Java >= 1.7 are required. The build can be launched as follows:

    cd releng/com.irtsaintexupery.parent
    mvn clean package

## Install Capella2AADL
Capella2AADL has been designed for Capella 1.1.2. It can be installed by adding the p2 repository built from the source code that can be found in `releng/com.irtsaintexupery.capella2aadl.repository`.

## Launch the model transformation
Right-click on your `*.modelodymodeller` file and select _Transform Capella into AADL_.

## To go further...
More information can be found in the article published in ERTSS 2016 proceedings: <https://hal.archives-ouvertes.fr/IRT_SAINT-EXUPERY/hal-01266591v1>.
